Summary:	High productivity build system
Summary(pl.UTF-8):	System budowania o dużej produktywności
Name:		meson
Version:	1.3.2
Release:	1%{?tld}
License:	Apache v2.0
Group:		Development/Tools
#Source0Download: https://github.com/mesonbuild/meson/releases/
Source0:	https://github.com/mesonbuild/meson/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2d0ebd3a24249617b1c4d30026380cf8
Patch0:		%{name}-gtkdocdir.patch
Patch1:		rust-proc-macro-filter-out-target.patch
URL:		https://mesonbuild.com/
BuildRequires:	ninja >= 1.8.2
BuildRequires:	python3 >= 1:3.7
BuildRequires:	python3-modules >= 1:3.7
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	sed >= 4.0
Requires:	python3-devel-tools >= 1:3.7
Requires:	python3-libs >= 1:3.7
Requires:	python3-modules >= 1:3.7
Requires:	python3-setuptools
Conflicts:	ninja < 1.8.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Meson is a build system designed to optimize programmer productivity.
It aims to do this by providing simple, out-of-the-box support for
modern software development tools and practices, such as unit tests,
coverage reports, Valgrind, CCache and the like.

%description -l pl.UTF-8
Meson to system budowania zaprojektowany z myślą o optymalizacji
produktywności programisty. Celem jest dostarczenie prostej, od razu
działającej obsługi nowoczesnych narzędzi i praktyk programistycznych,
takich jak testy jednostkowe, raporty pokrycia, Valgrind, CCache itp.

%package polkit
Summary:	PolKit integration - handle projects installation via Meson
Summary(pl.UTF-8):	Integracja z PolKitem - obsługa instalowania projektów przy użyciu Mesona
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	polkit

%description polkit
PolKit integration - handle projects installation via Meson.

%description polkit -l pl.UTF-8
Integracja z PolKitem - obsługa instalowania projektów przy użyciu
Mesona.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' \
	meson.py

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/meson
%{_mandir}/man1/meson.1*
%{py3_sitescriptdir}/meson-%{version}-py*.egg-info
%{py3_sitescriptdir}/mesonbuild

%files polkit
%defattr(644,root,root,755)
%{_datadir}/polkit-1/actions/com.mesonbuild.install.policy
%changelog
* Tue Apr 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/meson.git;a=log;h=master

* Wed Feb 14 2024 Jan Palus <atler@pld-linux.org> 5015e1e
- up to 1.3.2

* Thu Feb 01 2024 Jan Palus <atler@pld-linux.org> 9ebcba0
- filter out rustc target based on machine type with meson >= 1.3.1; rel 2

* Tue Dec 26 2023 Jan Palus <atler@pld-linux.org> 98c32a0
- up to 1.3.1

* Thu Nov 30 2023 Jan Palus <atler@pld-linux.org> 765cb4e
- up to 1.3.0

* Fri Oct 20 2023 Jan Palus <atler@pld-linux.org> 9e7b650
- up to 1.2.3

* Wed Oct 11 2023 Jan Palus <atler@pld-linux.org> f2046c6
- add patch to filter out --target for rust proc-macro crate

* Fri Oct 06 2023 Jan Palus <atler@pld-linux.org> 72060c1
- up to 1.2.2

* Sat Sep 09 2023 Jakub Bogusz <qboosh@pld-linux.org> e1b098e
- added patch for vala crash when python is also installed (adjusted from git commit); release 2

* Sun Aug 13 2023 Jan Palus <atler@pld-linux.org> 9bd7747
- up to 1.2.1

* Wed Jul 19 2023 Jakub Bogusz <qboosh@pld-linux.org> 1578f80
- python 3.7 is minimum now

* Wed Jul 19 2023 Jan Palus <atler@pld-linux.org> 2e87461
- up to 1.2.0

* Wed Mar 01 2023 Jan Palus <atler@pld-linux.org> a29c8dd
- up to 1.0.1

* Wed Feb 01 2023 Jan Palus <atler@pld-linux.org> c53e1e4
- up to 1.0.0

* Wed Aug 31 2022 Jakub Bogusz <qboosh@pld-linux.org> c2d30dd
- updated to 0.63.1

* Sun Jun 12 2022 Jan Palus <atler@pld-linux.org> 3a78a78
- up to 0.62.2

* Thu Apr 07 2022 Jan Palus <atler@pld-linux.org> 43180af
- up to 0.61.4

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1d9fe29
- Release 4 (by relup.sh)

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 97167ca
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 546c8d9
- rebuild with python 3.10

* Thu Mar 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 0695d51
- updated to 0.61.2
- updated gtkdocdir patch

